BSON_WRITER_BEGIN(3)

SYNOPSIS

            bool
            bson_writer_begin (bson_writer_t *writer, bson_t **bson);

PARAMETERS

    •   writer: A bson_writer_t.

    •   bson: A bson_t.

DESCRIPTION

Begins writing a new document. The caller may use the bson structure to write out a new BSON document. When completed, the caller must call either bson_writer_end() or bson_writer_rollback().

RETURNS

true if there was space in the underlying buffers to begin the document.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc